Epoch: 0

%define gcj_support             1
%define section                 free
%define eclipse_name            eclipse
%define version_major           0
%define version_minor           2
%define version_majmin          %{version_major}.%{version_minor}
%define version_micro           4
%define eclipse_base            %{_datadir}/%{eclipse_name}
%define eclipse_lib_base        %{_libdir}/%{eclipse_name}

# All archs line up except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch    x86
%else
%define eclipse_arch    %{_arch}
%endif

Summary:        Bugzilla bug tracking integration for Eclipse
Name:           %{eclipse_name}-bugzilla
Version:        %{version_majmin}.%{version_micro}
Release:        %mkrel 3.3
License:        CPL
Group:          Development/Java
#URL:                
Requires:       eclipse-platform >= 1:3.2.0
#Requires:      eclipse-platform <= 1:3.2.0

Requires:       xmlrpc >= 0:2.0.1

# Note that following the Eclipse Releng process we do not distribute a 
# real .tar.gz file.  Instead, you must build it by hand.  The way to do 
# this is to check out org.eclipse.team.bugzilla.releng.  Edit maps/bugzilla.map 
# to refer to the tag appropriate to the release.  Then run the "fetch" 
# target to fetch everything.  Package this up, such that the tar
# file unpacks a new "org.eclipse.team.bugzilla.releng" directory with all the
# contents. 
# Here's an example of how to invoke that command from within the releng 
# directory:
#
# java -cp /usr/share/eclipse/startup.jar  -Duser.home=/tmp/buildhome 
#     org.eclipse.core.launcher.Main -application org.eclipse.ant.core.antRunner 
#     -buildfile build.xml -Dbasedir=`pwd` 
#     -Dpde.build.scripts=/usr/share/eclipse/plugins/org.eclipse.pde.build_3.1.2/scripts/
#     -DdontUnzip=true fetch 
Source0:        eclipse-bugzilla-fetched-%{version_majmin}.%{version_micro}.tar.bz2

BuildRequires:  ant
BuildRequires:  eclipse-platform
BuildRequires:  eclipse-jdt
BuildRequires:  eclipse-pde
BuildRequires:  java-rpmbuild
BuildRequires:  libswt3-gtk2
BuildRequires:  xmlrpc >= 0:2.0.1

%if %{gcj_support}
BuildRequires:  gcc-java >= 0:4.0.1
BuildRequires:  java-gcj-compat-devel >= 0:1.0.31
Requires(post): java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%else
BuildRequires:  java >= 0:1.4.2
BuildRequires:  java-devel >= 0:1.4.2
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The eclipse-bugzilla package contains Eclipse features and plugins for
Bugzilla bug tracking integration.

%prep
%setup -q -c 

# Change .jar to symlink for the build
pushd org.eclipse.team.bugzilla.releng/results/
rm -f plugins/org.eclipse.team.bugzilla/lib/xmlrpc.jar
ln -sf %{_datadir}/java/xmlrpc.jar plugins/org.eclipse.team.bugzilla/lib/xmlrpc.jar
rm -f plugins/org.eclipse.team.bugzilla/lib/jakarta-commons-codec.jar
ln -sf %{_datadir}/java/jakarta-commons-codec.jar plugins/org.eclipse.team.bugzilla/lib/jakarta-commons-codec.jar
popd

%build

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

mkdir home

homedir=$(cd home > /dev/null && pwd)

pushd `pwd` 
cd org.eclipse.team.bugzilla.releng

# Call eclipse headless to process bugzilla releng build scripts
# need -Dosgi.install.area for http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20198
%{java} -cp %{eclipse_base}/startup.jar                \
    -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration \
    -Duser.home=$homedir \
    -Dosgi.install.area=%{eclipse_base} \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=false \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$(echo $SDK/plugins/org.eclipse.pde.build_*)/scripts \
    -DdontFetchAnything=true 
popd

%install
rm -rf ${RPM_BUILD_ROOT}

install -d -m755 ${RPM_BUILD_ROOT}/%{eclipse_base}

# Dump the files from the releng tarball into the build root
for file in $(pwd)/org.eclipse.team.bugzilla.releng/results/I.*/*.tar.gz; do
  case $file in
    *org.eclipse.team.bugzilla*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && tar zxf $file)
      ;;
  esac
done

pushd $RPM_BUILD_ROOT%{_datadir}/%{eclipse_name}
rm -rf plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/xmlrpc.jar
ln -sf %{_datadir}/java/xmlrpc.jar plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/xmlrpc.jar
rm -f plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/jakarta-commons-codec.jar
ln -sf %{_datadir}/java/jakarta-commons-codec.jar plugins/org.eclipse.team.bugzilla_%{version_majmin}.%{version_micro}/lib/jakarta-commons-codec.jar
popd

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean 
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugs*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif




%changelog
* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0.2.4-3.3mdv2008.1
+ Revision: 120867
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)


* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0.2.4-3.2mdv2007.1
+ Revision: 141520
- rebuild

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:0.2.4-3.1mdv2007.1
+ Revision: 76434
- 0.2.4
- Import eclipse-bugzilla

* Mon Jul 10 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-4mdv2007.0
- rebuild for new eclipse

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0.2.2-3mdv2007.0
- rebuild for libgcj.so.7

* Fri Mar 24 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-2mdk
- fix dependency epochs (bug #21706)

* Tue Feb 21 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-1mdk
- 0.2.2
- fix build

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:0.1.1-4mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:0.1.1-3mdk
- fix BuildRequires

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.1.1-2mdk
- bzip2 source

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:0.1.1-1mdk
- release

* Fri Jul 22 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-5
- BuildRequire gcc-java 4.0.1.

* Fri Jul 22 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-4
- Remove bugzilla.redhat.com/bugzilla-old pre-set (no longer online).
- Finalize support for new bugzilla.redhat.com (pending https bug#158893).
- Update Apply Patch functionality.
- Refactor query options parser.

* Sat Jul 16 2005 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-3
- Use gbenson's new aot-compile-rpm.

* Sat Jul 09 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-2
- Fix eclipse build specification to be arch independant.

* Thu Jul 07 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-1
- Integrate Apply Patch functionality.
- Various minor UI adjustments.

* Thu May 19 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-17
- Add save attachment support.

* Thu May 19 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-16
- Fix bug in query option parser (see comment 1 from bz#151443).
- Parse icons from bugzilla sites (bz#151441).

* Fri May 06 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-15
- Fix provider expansion when adding queries.
- Add name parings for default urls.

* Tue May 03 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-14
- Fix default bugzilla.redhat.com url.

* Wed Apr 27 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-13
- Re-organize and make use of scripts.

* Wed Apr 27 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-12
- Fix double '/' in URL when retrieving version info.
- Add workaround for redirects.

* Tue Apr 26 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-10
- Add support for query by email, numbering, votes, and 
  modification date, field, and value.
- Various adjustments to query dialog UI.

* Mon Apr 04 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-9
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-8
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-7_fc
- Fix query dialog UI.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-6_fc
- Rebuild including icons dir, xml, and properties files.

* Sat Mar 05 2005 Phil Muldoon <pmuldoon@redhat.com> 0.1.0-5_fc
- Added x86_64 to ExclusiveArch

* Thu Mar 03 2005 Jeff Pound <jpound@redhat.com> 0.1.0-4_fc
- Rewrite for native build.
- Change gcc4 to gcc.
- Remove x86_64 for now.  Add ppc.
- Remove -g options for gcj.

* Tue Feb 08 2005 Jeff Pound <jpound@redhat.com> 0.1.0-1_fc
- Initial version

